#!/usr/bin/perl

use strict;

unless ($ARGV[3]){
	print "Usage: $0 <infile-svg> <song-title> <bg-image> <band-name>\n";
	exit 0;
}

my $infile = $ARGV[0];
my $image = $ARGV[2];
my $bandname = $ARGV[3];
my $outfile = "cover_";
my $titleMod = $ARGV[1];
$titleMod = lc($titleMod);
$titleMod =~ s/\ /_/g;
$titleMod =~ s/\'//g;
$outfile .= $titleMod;

my @inf;
open IN,"<$infile" or die "Cant open $infile: $!\n";
while(<IN>){push @inf, $_;}
close IN;

# L-PLAYALONG
for(my $k = 1; $k<5; $k++){
	my @pa = @inf;
	for(my $i = 0; $i < @pa; $i++){
		if($pa[$i] =~ /.*inkscape:label="BANDEROLE$k".*/){
			$pa[$i+1] =~ s/none/inline/;
		}
		elsif($pa[$i] =~ /.*THETITLE.*/){
			$pa[$i] =~ s/THETITLE/$ARGV[1]/;
		}
		elsif($pa[$i] =~ /.*BILD.*/){
			$pa[$i] =~ s/BILD/$image/;
			$pa[$i+1] =~ s/BILD/$image/;
		}
		elsif($pa[$i] =~ /.*BAND_NAME.*/){
			$pa[$i] =~ s/BAND_NAME/$bandname/;
		}

	}
	open OF,">out.svg";
	foreach my $p(@pa){
		print OF $p;
	}
	close OF;
	system "/usr/bin/inkscape --file=out.svg --without-gui  --export-dpi=72 --export-area-page --export-png=".$outfile."_banderole$k.png";
	system "/usr/bin/convert ".$outfile."_banderole$k.png ".$outfile."_banderole$k.jpg";
	system "/bin/rm -f out.svg";
	@pa = ();
} # for k


